# $new

Creates a new object

Syntax

    $new(<class>,[<parent_id> [,<name>[,<param>[,<param>[...]]]])

Description
Creates a new instance of the object <class> with the parent object <parent_id> and the specified <name>. <name> and <parent_id> are optional: if not specified, <name> is assumed to be an empty string and <parent_id> default to 0 (parentless object). Please see the objects documentation for more information.
Examples

        %myobj = $new(widget,0,pippo)

See also
Objects documentation, delete

Index, Functions

KVIrc 3.2.0 Documentation
Generated by root at Thu Mar 9 08:43:54 2006